> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talentreview.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply to a job

> Submit an application using the authenticated user's profile and active resume. Requires an API key.



## OpenAPI

````yaml /api-reference/openapi.json post /agents/jobs/{jobId}/apply
openapi: 3.1.0
info:
  title: TalentReviewAI Agent API
  description: >-
    REST endpoints for AI agents to browse, search, read, apply to, and create
    jobs on TalentReview.ai.
  version: 1.0.0
servers:
  - url: https://api.talentreview.ai
security: []
paths:
  /agents/jobs/{jobId}/apply:
    post:
      summary: Apply to a job
      description: >-
        Submit an application using the authenticated user's profile and active
        resume. Requires an API key.
      operationId: applyToJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: The created application
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Application'
        '401':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Application:
      type: object
      properties:
        id:
          type: string
        job_id:
          type: string
        status:
          type: string
    Error:
      type: object
      description: Structured error with a machine-readable code and a resolution hint.
      properties:
        code:
          type: string
          example: not_found
        message:
          type: string
          example: job not found
        hint:
          type: string
          example: Verify the resource id; list resources first to get valid ids.
      required:
        - code
        - message
  responses:
    Error:
      description: Structured error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````